# Base Rule Visibility Restriction

This module lets you add “Excluded Groups” for Record Rules (ir.rule), when getting the record rules for Groups (res.groups) anywhere, if the user has the group for which a certain rule that should be applying has this group as one of it’s Excluded Groups, this record rule won’t appply.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

To use this module, you need to:

1. Activate the developer mode
2. Go to Settings > Technical > Security > Record Rules.
3. Search for the Record Rule and edit it.
4. Update “Excluded groups” with the desired groups.
5. Login with a user of that group, and the certaing Record Rule won’t apply.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- ForgeFlow

## Contributors

- Guillem Casassas <guillem.casassas@forgeflow.com>
- Aion Tech:
  - Simone Rubino <simone.rubino@aion-tech.it>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/server-ux project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.